Skip to main content
POST
/
networks
/
advertisers
Create Advertiser
curl --request POST \
  --url https://api.eflow.team/v1/networks/advertisers \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "name": "Brand Corp",
  "account_status": "active",
  "network_employee_id": 1,
  "default_currency_id": "USD",
  "attribution_method": "last_touch",
  "labels": [
    "premium"
  ],
  "users": [
    {
      "first_name": "John",
      "last_name": "Smith",
      "email": "john@brandcorp.com",
      "account_status": "active",
      "language_id": 1
    }
  ]
}
'
{
  "network_advertiser_id": 123,
  "network_id": 123,
  "name": "<string>",
  "account_status": "active",
  "network_employee_id": 123,
  "sales_manager_id": 123,
  "internal_notes": "<string>",
  "default_currency_id": "<string>",
  "platform_name": "<string>",
  "platform_url": "<string>",
  "platform_username": "<string>",
  "reporting_timezone_id": 123,
  "attribution_method": "first_touch",
  "email_attribution_method": "last_affiliate_attribution",
  "attribution_priority": "click",
  "accounting_contact_email": "<string>",
  "verification_token": "<string>",
  "offer_id_macro": "<string>",
  "affiliate_id_macro": "<string>",
  "is_contact_address_enabled": true,
  "contact_address": {
    "address_1": "<string>",
    "address_2": "<string>",
    "city": "<string>",
    "region_code": "<string>",
    "country_code": "<string>",
    "zip_postal_code": "<string>"
  },
  "labels": [
    "<string>"
  ],
  "time_created": 123,
  "time_saved": 123,
  "relationship": {}
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Body

application/json
name
string
required

The advertiser's display name.

account_status
enum<string>
required

Initial account status.

Available options:
active,
inactive,
suspended
network_employee_id
integer
required

ID of the account manager (network employee) assigned to this advertiser.

default_currency_id
string
required

ISO currency code for the advertiser's default currency (e.g. "USD").

internal_notes
string

Private notes visible only to network users.

address_id
integer

Address ID if using a pre-existing address record.

is_contact_address_enabled
boolean

Set to true to store a contact address for this advertiser.

sales_manager_id
integer

ID of the sales manager assigned to this advertiser.

platform_name
string

Name of the advertiser's platform.

platform_url
string

URL of the advertiser's platform.

platform_username
string

Username on the advertiser's platform.

reporting_timezone_id
integer

Timezone ID used for this advertiser's reporting.

attribution_method
enum<string>

Click attribution method. Defaults to last_touch.

Available options:
last_touch,
first_touch
email_attribution_method
enum<string>

Email-based attribution method.

Available options:
last_affiliate_attribution,
first_affiliate_attribution
attribution_priority
enum<string>

Whether clicks or coupon codes take priority for attribution.

Available options:
click,
coupon_code
accounting_contact_email
string

Email address for accounting/billing contact.

verification_token
string

Verification token for postback security (max 50 characters).

Maximum string length: 50
offer_id_macro
string

Macro name for offer ID in tracking URLs. Defaults to "oid".

affiliate_id_macro
string

Macro name for affiliate ID in tracking URLs. Defaults to "affid".

labels
string[]

Labels to assign to the advertiser.

users
object[]

A single user account to create for this advertiser. Maximum of 1 user can be created in this request.

Maximum array length: 1
contact_address
object

Contact address. Only used when is_contact_address_enabled is true.

billing
object

Billing and invoicing configuration.

settings
object

Advertiser-specific settings.

Response

200 - application/json

Advertiser created successfully.

network_advertiser_id
integer

Unique advertiser ID.

network_id
integer
name
string

Advertiser name.

account_status
enum<string>
Available options:
active,
inactive,
pending,
suspended
network_employee_id
integer

Account manager employee ID.

sales_manager_id
integer
internal_notes
string
default_currency_id
string
platform_name
string
platform_url
string
platform_username
string
reporting_timezone_id
integer
attribution_method
enum<string>
Available options:
first_touch,
last_touch
email_attribution_method
enum<string>
Available options:
last_affiliate_attribution,
first_affiliate_attribution
attribution_priority
enum<string>
Available options:
click,
coupon_code
accounting_contact_email
string
verification_token
string
offer_id_macro
string
affiliate_id_macro
string
is_contact_address_enabled
boolean
contact_address
object
labels
string[]
time_created
integer

Unix timestamp when the advertiser was created.

time_saved
integer

Unix timestamp when the advertiser was last updated.

relationship
object

Related data (only present when requested via query parameter).